<?php

function burger_joint_sanitize_select( $burger_joint_input, $setting ) {
	$burger_joint_input = sanitize_key( $burger_joint_input );
	$burger_joint_choices = $setting->manager->get_control( $setting->id )->choices;
	return ( array_key_exists( $burger_joint_input, $burger_joint_choices ) ? $burger_joint_input : $setting->default );
}

function burger_joint_sanitize_switch( $burger_joint_input ) {
	if ( true === $burger_joint_input ) {
		return true;
	} else {
		return false;
	}
}

function burger_joint_sanitize_google_fonts( $burger_joint_input, $setting ) {
	$burger_joint_choices = $setting->manager->get_control( $setting->id )->choices;
	return ( array_key_exists( $burger_joint_input, $burger_joint_choices ) ? $burger_joint_input : $setting->default );
}

/**
 * Sanitize HTML input.
 *
 * @param string $burger_joint_input HTML input to sanitize.
 * @return string Sanitized HTML.
 */
function burger_joint_sanitize_html( $burger_joint_input ) {
    return wp_kses_post( $burger_joint_input );
}

/**
 * Sanitize URL input.
 *
 * @param string $burger_joint_input URL input to sanitize.
 * @return string Sanitized URL.
 */
function burger_joint_sanitize_url( $burger_joint_input ) {
    return esc_url_raw( $burger_joint_input );
}

// Sanitize Scroll Top Position
function burger_joint_sanitize_scroll_top_position( $input ) {
    $burger_joint_valid_positions = array( 'bottom-right', 'bottom-left', 'bottom-center' );
    if ( in_array( $input, $burger_joint_valid_positions ) ) {
        return $input;
    } else {
        return 'bottom-right'; // Default to bottom-right if invalid value
    }
}

function burger_joint_sanitize_choices( $input, $setting ) {
	global $wp_customize; 
	$control = $wp_customize->get_control( $setting->id ); 
	if ( array_key_exists( $input, $control->choices ) ) {
		return $input;
	} else {
		return $setting->default;
	}
}

function burger_joint_sanitize_range_value( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default.
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}